<?php
/**
* Google Sitemap Generator - A Mambo Component
* @version 2.0.0
* @package Emptorum.com
* @copyright (C) 2004 by rg66
* @license Released under the terms of the GNU General Public License
**/

defined('_VALID_MOS') or die('Direct Access to this location is not allowed.');

/**
* HTML class for all menumanager component output
* @package Mambo_4.5.1
*/
class HTML_gsg {
	/**
	* Writes a list of the dropdown manager items
	*/
	function show($option, $rows, $mosConfig_live_site, $gsg_url_changefreq, $gsg_url_priority) {
		global $mosConfig_sitename, $mosConfig_absolute_path, $mosConfig_sef;
		//require_once($mosConfig_absolute_path.'/includes/sef.php');	

		$tmpl = & gsg :: createTemplate();
		$tmpl->readTemplatesFromInput('gsg.show.tmpl.html');

		//Get todays Date
		$today = gsg :: showdate(0, 0, 1);

		//Generate the Lists
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_1, _gsg_changefreq_1);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_2, _gsg_changefreq_2);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_3, _gsg_changefreq_3);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_4, _gsg_changefreq_4);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_5, _gsg_changefreq_5);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_6, _gsg_changefreq_6);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_7, _gsg_changefreq_7);

		$list3[] = mosHTML :: makeOption(_gsg_changepriority_0, _gsg_changepriority_0);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_1, _gsg_changepriority_1);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_2, _gsg_changepriority_2);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_3, _gsg_changepriority_3);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_4, _gsg_changepriority_4);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_5, _gsg_changepriority_5);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_6, _gsg_changepriority_6);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_7, _gsg_changepriority_7);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_8, _gsg_changepriority_8);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_9, _gsg_changepriority_9);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_10, _gsg_changepriority_10);

		//Set up the variables
		$tmpl->addVar('main', 'mosConfig_live_site', $mosConfig_live_site);
		$tmpl->addVar('main', 'gsg_component_title_xml', _gsg_component_title_xml);
		$tmpl->addVar('main', 'mosConfig_sitename', $mosConfig_sitename);
		$tmpl->addVar('main', 'gsg_title', _gsg_title);
		$tmpl->addVar('main', 'gsg_url', _gsg_url);
		$tmpl->addVar('main', 'gsg_Date', _gsg_Date);
		$tmpl->addVar('main', 'gsg_changefreq', _gsg_changefreq);
		$tmpl->addVar('main', 'gsg_changepriority', _gsg_changepriority);
		$tmpl->addVar('main', 'gsg_url_changefreq', $gsg_url_changefreq);
		$tmpl->addVar('main', 'gsg_url_priority', $gsg_url_priority);
		$tmpl->addVar('main', 'today', $today);

		//Starting to call the tempaltes
		$tmpl->displayParsedTemplate('main');

		//we call up the same tmplate now to generate the list
		$k = 0;
		for ($i = 0, $n = count($rows); $i < $n; $i ++) {
			$row = & $rows[$i];

			$name_freq = "freq[";
			$name_freq .= $i +1;
			$name_freq .= "]";
			$name_freq2 = mosHTML :: selectList($list2, $name_freq, 'class="inputbox" size="1"', 'value', 'text', $row->changeFreq);
			$tmpl->addVar('main_2', 'name_freq2', $name_freq2);
			$name_prior = "priority[";
			$name_prior .= $i +1;
			$name_prior .= "]";
			$name_prior2 = mosHTML :: selectList($list3, $name_prior, 'class="inputbox" size="1"', 'value', 'text', $row->priority);
			$tmpl->addVar('main_2', 'name_prior2', $name_prior2);
			$tmpl->addVar('main_2', 'i', $i +2);
			$tmpl->addVar('main_2', 'i2', $i +1);
			$tmpl->addVar('main_2', 'title', $row->title);
			if ($mosConfig_sef) {
				$url = gsg :: sefRelToAbs($row->link);
			} else {
				$url = $mosConfig_live_site."/".$row->link;
			}
			$tmpl->addVar('main_2', 'link', $url);
			$tmpl->addVar('main_2', 'DATE', $row->date);
			$tmpl->addVar('main_2', 'rowdef', "row".$k);
			$tmpl->addVar('main_2', 'mosConfig_live_site', $mosConfig_live_site);
			$tmpl->displayParsedTemplate('main_2');
			$tmpl->clearTemplate('main_2');
			$k = 1 - $k;
		}

		$tmpl->addVar('main_4', 'gsg_checkall', _gsg_checkall);
		$tmpl->addVar('main_4', 'option', $option);
		$tmpl->addVar('main_4', 'task', $task);
		$tmpl->addVar('main_4', 'jtotal', $j + $i -1);
		$tmpl->displayParsedTemplate('main_4');
	}

	function xml($option, $text, $xml_check, $gsg_filename, $gsg_msg, $gsg_url, $xml_rows) {
		global $mosConfig_absolute_path, $mosConfig_live_site;
		require ($mosConfig_absolute_path."/administrator/components/com_gsg/gsg.config.php");

		$tmpl = & gsg :: createTemplate();
		$tmpl->readTemplatesFromInput('gsg.xml.tmpl.html');

		//set up the variables
		$tmpl->addVar('main', 'mosConfig_live_site', $mosConfig_live_site);
		$tmpl->addVar('main', 'gsg_component_title_xml2', _gsg_component_title_xml2);
		$tmpl->addVar('main', 'gsg_xml_confirmation', _gsg_xml_confirmation);
		$tmpl->addVar('main', 'gsg_filename', $gsg_filename);
		$tmpl->addVar('main', 'gsg_xml_confirmation_2', _gsg_xml_confirmation_2);
		$tmpl->addVar('main', 'gsg_xml_confirmation_3', _gsg_xml_confirmation_3);
		$tmpl->addVar('main', 'xml_rows', $xml_rows);
		$tmpl->addVar('main', 'gsg_xml_confirmation_4', _gsg_xml_confirmation_4);
		$tmpl->addVar('main', 'text', $text);
		$tmpl->addVar('msg_2', 'gsg_url', $gsg_url);
		$tmpl->addVar('msg_2', 'gsg_google_submit', _gsg_google_submit);
		$tmpl->addVar('main2', 'option', $option);
		$tmpl->addVar('main2', 'task', $task);

		$tmpl->displayParsedTemplate('main');
		if ($gsg_ping) {
			$gsg_msg = gsg :: gsg_ping();
			$tmpl->addVar('msg_1', 'gsg_msg', $gsg_msg);
			$tmpl->displayParsedTemplate("msg_1");
		} else {
			$tmpl->displayParsedTemplate("msg_2");
		}
		$tmpl->displayParsedTemplate("main2");
	}

	function about($option) {
		global $mosConfig_absolute_path, $mosConfig_live_site;
		require ($mosConfig_absolute_path."/administrator/components/com_gsg/gsg.config.php");

		$localpath = $mosConfig_absolute_path."/administrator/components/com_gsg/config/gsg_version.xml";
		$localversion = gsg :: getXMLElementData("version", $localpath);

		$tmpl = & gsg :: createTemplate();
		$tmpl->readTemplatesFromInput("gsg.about.tmpl.html");

		$tabs = new mosTabs(0);
		$tmpl->addVar("header", "mosConfig_live_site", $mosConfig_live_site);
		$tmpl->addVar("header", "gsg_component_title", _gsg_component_title);

		$tmpl->displayParsedTemplate('header');
		$tabs->startPane("configPane");
		$tabs->startTab("About", "site-page");
		$tmpl->displayParsedTemplate('tab_1');
		$tabs->endTab();
		$tabs->startTab("Donate", "site-page");
		$tmpl->displayParsedTemplate('tab_2');
		$tabs->endTab();
		$tabs->startTab("Thank You", "site-page");
		$tmpl->displayParsedTemplate('tab_3');
		$tabs->endTab();
		$tabs->startTab("Changes", "site-page");
		$tmpl->displayParsedTemplate('tab_4');
		$tabs->endTab();
		$tmpl->addVar('footer', 'option', $option);
		$tmpl->addVar('footer', 'task', $task);
		$tmpl->addVar('footer', 'gsg_version', $localversion);
		$tmpl->displayParsedTemplate('footer');
		$tabs->endPane();
	}

	function config($option, & $rows, $msg, $fontcolor) {
		global $mosConfig_absolute_path, $mosConfig_live_site;
		require ($mosConfig_absolute_path."/administrator/components/com_gsg/gsg.config.php");

		//We define all the variables which we have to place into the addVar
		//Is the file writeable or not

		$slash = "";
		if (strlen($gsg_location)) {
			$slash = "/";
		}

		//We define if the file is writable or not 	
		$gsg_file = $mosConfig_absolute_path."/".$gsg_location.$slash.$gsg_filename.".xml";
		$gsg_path = $mosConfig_absolute_path."/".$gsg_location.$slash."<b><font size=\"2\">".$gsg_filename.".xml</font></b><br>";
		$gsg_path2 = $mosConfig_absolute_path."/".$gsg_location.$slash;
		$gsg_file_writeable_text = gsg::green(gsg::filedir_writeable($gsg_file)) ? _gsg_writeable : _gsg_unwriteable;
		$gsg_file_writeable = '<b><font color="'.gsg::filedir_writeable($gsg_file).'">'.$gsg_file_writeable_text.'</font></b>';
		$gsg_folder_writeable_text = gsg::green(gsg::filedir_writeable($gsg_path2)) ? _gsg_writeable : _gsg_unwriteable;                
                $gsg_folder_writeable = '<b><font color="'.gsg::filedir_writeable($gsg_path2).'">'.$gsg_folder_writeable_text.'</font></b>';
		
		$gsg_file_exist_text = gsg::green(gsg::isfile($gsg_file)) ? _gsg_exists : _gsg_exists_not;
		$gsg_file_exist = '<b><font color="'.gsg::isfile($gsg_file).'">'.$gsg_file_exist_text.'</font></b>';
		$gsg_folder_exist_text = gsg::green(gsg::isdir($gsg_path2)) ? _gsg_exists : _gsg_exists_not;
		$gsg_folder_exist = '<b><font color="'.gsg::isdir($gsg_path2).'">'.$gsg_folder_exist_text.'</font></b>';
		
		//Generate the List for GSG_URL_LASTMOD
		$list[] = mosHTML :: makeOption('0', _gsg_lastmodified_1);
		$list[] = mosHTML :: makeOption('1', _gsg_lastmodified_2);
		$gsg_list_1 = mosHTML :: selectList($list, 'gsg_url_lastmod', 'class="inputbox" size="1"', 'value', 'text', $gsg_url_lastmod);

		//Generate the List for GSG_Url_changefreq
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_1, _gsg_changefreq_1);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_2, _gsg_changefreq_2);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_3, _gsg_changefreq_3);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_4, _gsg_changefreq_4);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_5, _gsg_changefreq_5);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_6, _gsg_changefreq_6);
		$list2[] = mosHTML :: makeOption(_gsg_changefreq_7, _gsg_changefreq_7);
		$gsg_list_2 = mosHTML :: selectList($list2, 'gsg_url_changefreq', 'class="inputbox" size="1"', 'value', 'text', $gsg_url_changefreq);

		//Generate the List for GSG_url_priority
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_0, _gsg_changepriority_0);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_1, _gsg_changepriority_1);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_2, _gsg_changepriority_2);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_3, _gsg_changepriority_3);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_4, _gsg_changepriority_4);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_5, _gsg_changepriority_5);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_6, _gsg_changepriority_6);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_7, _gsg_changepriority_7);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_8, _gsg_changepriority_8);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_9, _gsg_changepriority_9);
		$list3[] = mosHTML :: makeOption(_gsg_changepriority_10, _gsg_changepriority_10);
		$gsg_list_3 = mosHTML :: selectList($list3, 'gsg_url_priority', 'class="inputbox" size="1"', 'value', 'text', $gsg_url_priority);

		//Generate the List for gsg_menus
		$lookup = preg_split('/,/', $gsg_menus);
		$gsg_list_4 = "<select class=\"inputbox\" size=\"5\" name=\"gsg_menus[]\" multiple=\"multiple\">\n";
		foreach ($rows as $value) {
			$params = & new mosParameters($value->params);
			$menutype = $params->def('menutype', '');
			$selected = "";
			foreach ($lookup as $value2) {
				if ($menutype == $value2) {
					$selected = "selected";
				}
			}
			$gsg_list_4 .= "    <option $selected value=\"".$menutype."\">".$value->title."</option>\n";
		}
		$gsg_list_4 .= "  </select>\n";

		//Generate the List for gsg_ping
		if (intval(get_cfg_var('allow_url_fopen'))) {
			$gsg_ping = $gsg_ping;
			$disabled = "";
		} else {
			$gsg_ping = 0;
			$disabled = " disabled ";
		}

		$yesno[] = mosHTML :: makeOption('0', _CMN_NO);
		$yesno[] = mosHTML :: makeOption('1', _CMN_YES);
		$gsg_class = 'class="inputbox"'.$disabled;
		$gsg_list_5 = mosHTML :: yesnoRadioList('gsg_ping', $gsg_class, $gsg_ping);

		//Generate the List for gsg_displayedit
		$yesno[] = mosHTML :: makeOption('0', _CMN_NO);
		$yesno[] = mosHTML :: makeOption('1', _CMN_YES);
		$gsg_list_6 = mosHTML :: yesnoRadioList('gsg_displayedit', 'class="inputbox"', $gsg_displayedit);

		//Generate the list for gsg_module_on
		$yesno[] = mosHTML :: makeOption('0', _gsg_off);
		$yesno[] = mosHTML :: makeOption('1', _gsg_on);
		$gsg_class = 'class="inputbox"';
		$gsg_list_7 = mosHTML :: yesnoRadioList('gsg_module_on', $gsg_class, $gsg_module_on);

		//Generate the list for gsg_module_hours
		$list4[] = mosHTML :: makeOption('0', _gsg_module_day);
		$list4[] = mosHTML :: makeOption('1', '1');
		$list4[] = mosHTML :: makeOption('2', '2');
		$list4[] = mosHTML :: makeOption('3', '3');
		$list4[] = mosHTML :: makeOption('4', '4');
		$list4[] = mosHTML :: makeOption('5', '5');
		$list4[] = mosHTML :: makeOption('6', '6');
		$list4[] = mosHTML :: makeOption('7', '7');
		$list4[] = mosHTML :: makeOption('8', '8');
		$list4[] = mosHTML :: makeOption('9', '9');
		$list4[] = mosHTML :: makeOption('10', '10');
		$list4[] = mosHTML :: makeOption('11', '11');
		$list4[] = mosHTML :: makeOption('12', '12');
		$list4[] = mosHTML :: makeOption('13', '13');
		$list4[] = mosHTML :: makeOption('14', '14');
		$gsg_list_8 = mosHTML :: selectList($list4, 'gsg_module_hours', 'class="inputbox" size="1"', 'value', 'text', $gsg_module_hours);

		//we build the template mow
		$tmpl = & gsg :: createTemplate();
		$tmpl->readTemplatesFromInput('gsg.config.tmpl.html');

		$tmpl->addVar('main', 'mosConfig_live_site', $mosConfig_live_site);
		$tmpl->addVar('main', 'gsg_component_title_conf', _gsg_component_title_conf);
		$tmpl->addVar('main', 'gsg_xlm_filename', _gsg_xlm_filename);
		$tmpl->addVar('main', 'gsg_filename', $gsg_filename);
		$tmpl->addVar('main', 'gsg_xlm_filename_help', _gsg_xlm_filename_help);
		$tmpl->addVar('main', 'gsg_location', _gsg_location);
		$tmpl->addVar('main', 'gsg_location2', $gsg_location);
		$tmpl->addVar('main', 'gsg_location_help', _gsg_location_help);
		$tmpl->addVar('main', 'gsg_make_folder_slash', _gsg_make_folder_slash);
		$tmpl->addVar('main', 'gsg_lastmodified', _gsg_lastmodified);
		$tmpl->addVar('main', 'gsg_list_1', $gsg_list_1);
		$tmpl->addVar('main', 'gsg_lastmodified_help', _gsg_lastmodified_help);
		$tmpl->addVar('main', 'gsg_changefreq', _gsg_changefreq);
		$tmpl->addVar('main', 'gsg_list_2', $gsg_list_2);
		$tmpl->addVar('main', 'gsg_changefreq_help', _gsg_changefreq_help);
		$tmpl->addVar('main', 'gsg_changepriority', _gsg_changepriority);
		$tmpl->addVar('main', 'gsg_list_3', $gsg_list_3);
		$tmpl->addVar('main', 'gsg_changepriority_help', _gsg_changepriority_help);
		$tmpl->addVar('main', 'gsg_mambomenu', _gsg_mambomenu);
		$tmpl->addVar('main', 'gsg_list_4', $gsg_list_4);
		$tmpl->addVar('main', 'gsg_mambomenu_help', _gsg_mambomenu_help);
		$tmpl->addVar('main', 'gsg_ping', _gsg_ping);
		$tmpl->addVar('main', 'gsg_list_5', $gsg_list_5);
		$tmpl->addVar('main', 'gsg_ping_help', _gsg_ping_help);
		$tmpl->addVar('main', 'gsg_allow_url_fopen?', _gsg_allow_url_fopen);
		$tmpl->addVar('main_3', 'gsg_displayedit', _gsg_displayedit);
		$tmpl->addVar('main_3', 'gsg_list_6', $gsg_list_6);
		$tmpl->addVar('main_3', 'gsg_displayedit_help', _gsg_displayedit_help);

		$tmpl->addVar('main_4', 'gsg_module_title', _gsg_module_title);
		$tmpl->addVar('main_4', 'gsg_module_on', _gsg_module_on);
		$tmpl->addVar('main_4', 'gsg_list_7', $gsg_list_7);
		$tmpl->addVar('main_4', 'gsg_module_on_help', _gsg_module_on_help);
		$tmpl->addVar('main_4', 'gsg_module_hours', _gsg_module_hours);
		$tmpl->addVar('main_4', 'gsg_list_8', $gsg_list_8);
		$tmpl->addVar('main_4', 'gsg_module_hours_help', _gsg_module_hours_help);
		$tmpl->addVar('main_4', 'gsg_displayedit_help', _gsg_displayedit_help);

		$tmpl->displayParsedTemplate('main');
		if (!intval(get_cfg_var('allow_url_fopen'))) {
			$tmpl->displayParsedTemplate('main_2');
		}
		$tmpl->displayParsedTemplate('main_3');
		// We check to see if the file exists!  If it does then we will show the module menu section  
		if (file_exists($mosConfig_absolute_path.'/modules/mod_gsg.php')) {
			$tmpl->displayParsedTemplate('main_4');
		}
		$tmpl->addVar('main_5', 'gsg_location2', $gsg_location);
		$tmpl->addVar('main_5', 'gsg_filename', $gsg_filename);
		$tmpl->addVar('main_5', 'option', $option);
		$tmpl->displayParsedTemplate('main_5');
                
                $tabs = new mosTabs(0);
		$tmpl->addVar('info', 'gsg_filename', $gsg_filename);
		$tmpl->addVar('info', 'gsg_file_writeable', $gsg_file_writeable);
		$tmpl->addVar('info', 'gsg_folder_writeable', $gsg_folder_writeable) ;		
		$tmpl->addVar('info', 'gsg_directory', $gsg_path2);
		$tmpl->addVar('info', 'gsg_file_exist', $gsg_file_exist);
		$tmpl->addVar('info', 'gsg_folder_exist', $gsg_folder_exist) ;
		$tmpl->addVar('info', 'gsg_path', $gsg_path);
		$tmpl->addVar('info', 'gsg_location', _gsg_location);
		$tmpl->addVar('info', 'message_center', _gsg_message_center);
		$tmpl->addVar('info', 'messages', $msg);
		$tmpl->addVar('info', 'fontcolor', $fontcolor);
		$tabs->startPane("configPane");
		$tabs->startTab("Info", "site-page");
		$tmpl->displayParsedTemplate('info');
		$tabs->endTab();
		$tabs->endPane();
		$tmpl->displayParsedTemplate('main_5');
	}

	function showmenu($option, $localversion, $task) {
		global $mosConfig_live_site, $mosConfig_absolute_path;
		include ($mosConfig_absolute_path.'/administrator/components/com_gsg/gsg.version.php');

		$tmpl = & gsg :: createTemplate();
		$tmpl->setAttribute('body', 'src', 'gsg.showmenu.tmpl.html');

		$tmpl->addVar('body', 'option', $option);
		$tmpl->addVar('body', 'gsg_component_title_menu', _gsg_component_title_menu);
		$tmpl->addVar('body', 'gsg_menu_section_1', _gsg_menu_section_1);
		$tmpl->addVar('body', 'task', $task);
		$tmpl->addVar('body', 'gsg_menu_section_2', _gsg_menu_section_2);
		$tmpl->addVar('body', 'gsg_menu_section_3', _gsg_menu_section_3);
		$tmpl->addVar('body', 'gsg_update', _gsg_update);
		$tmpl->addVar('body', 'gsg_view', _gsg_view);
		$tmpl->addVar('body', 'gsg_component_title', _gsg_component_title);
		$tmpl->addVar('body', 'mosConfig_live_site', $mosConfig_live_site);
		$tmpl->addVar('body', 'version', $localversion);
		$tmpl->addVar('body', 'gsg_3plugin', _gsg_3plugin);

		$tmpl->displayParsedTemplate('form');
	}

	function update($option, $trunkversion, $localversion, $msg_update) {
		$tmpl = & gsg :: createTemplate();
		$tmpl->readTemplatesFromInput('gsg.update.tmpl.html');

		$tmpl->addVar('content', 'option', $option);
		$tmpl->addVar('content', 'trunkversion', $trunkversion);
		$tmpl->addVar('content', 'localversion', $localversion);
		$tmpl->addVar('content', 'msg_update', $msg_update);
		$tmpl->addVar('content', 'gsg_update_current_version', _gsg_update_current_version);
		$tmpl->addVar('content', 'gsg_update_new_Version', _gsg_update_new_Version);
		$tmpl->addVar('content', 'task', $task);

		$tmpl->displayParsedTemplate('content');
	}

	function view($option, $xmlcontent) {
		$tmpl = & gsg :: createTemplate();
		$tmpl->setAttribute('body', 'src', 'gsg.view.tmpl.html');

		$tmpl->addVar('body', 'option', $option);
		$tmpl->addVar('body', 'xmlcontent', $xmlcontent);
		$tmpl->addVar('body', 'task', $task);

		$tmpl->displayParsedTemplate('form');
	}

	function plugin($option, $rows) {
		$tmpl = & gsg :: createTemplate();
		$tmpl->readTemplatesFromInput('gsg.plugin.tmpl.html');

		$tmpl->addVar('header', 'gsg_3rdparty_title', _gsg_3plugin_title);
		$tmpl->addVar('header', 'gsg_3rdparty_upload', _gsg_3plugin_upload);
		$tmpl->addVar('header', 'gsg_3rdparty_file', _gsg_3plugin_file);
		$tmpl->addVar('header', 'option', $option);
		$tmpl->displayParsedTemplate('header');

		$tmpl->addVar('installed_1', 'gsg_3rdparty_installed', _gsg_3plugin_installed);
		$tmpl->addVar('installed_1', 'gsg_3rdparty_installed_plugins', _gsg_3plugin_installed_plugin);
		$tmpl->addVar('installed_1', 'gsg_3rdparty_installed_title', _gsg_3plugin_installed_title);
		$tmpl->addVar('installed_1', 'gsg_3rdparty_installed_active', _gsg_3plugin_installed_active);
		$tmpl->displayParsedTemplate('installed_1');

		//generate the list now
		$rc = 0;
		for ($i = 0, $n = count($rows); $i < $n; $i ++) {
			$row = & $rows[$i];
			$img = $row->enabled ? 'tick.png' : 'publish_x.png';
			$task = $row->enabled ? 'notactive' : 'active';
			$tmpl->addVar('installed_2', 'row', "row".$rc);
			$tmpl->addVar('installed_2', 'title', $row->classname);
			$tmpl->addVar('installed_2', 'enabled', $row->enabled);
			$tmpl->addVar('installed_2', 'description', $row->description);
			$tmpl->addVar('installed_2', 'i', $i);
			$tmpl->addVar('installed_2', 'id', $row->id);
			$tmpl->addVar('installed_2', 'task', $task);
			$tmpl->addVar('installed_2', 'img', $img);
			$tmpl->displayParsedTemplate('installed_2');
			$tmpl->clearTemplate('installed_2');
			$rc = 1 - $rc;
		}

		$tmpl->addVar('footer', 'option', $option);
		$tmpl->displayParsedTemplate('footer');

	}
}
?>


