<?php
/**
* Google Sitemap Generator.
* @version SVN $Id$
* @package gsg.org
* @author Todd Nine*
* @license Released under the terms of the GNU General Public License
* @abstract This class represends the required methods of a 3PC Implementations.
* Extend this class and override the method below.
**/
class GSGExtension{
    
    /**
    * Get the URLS from the 3PC.
    * @return An array of URLResource objects.
    */
    function getURLResources(){
    	echo "You have not correctly overridden the getURLResources function";
    }


	/**
	 * Get the description for the 3PC
	 * @return A string description
	 */
	function getDescription(){
		return "You have not correctly overridden the getDescription function";
	}

}

?>
